
module Xpost
  autoload :Configuration,    'xpost/configuration'
  autoload :Authentication,   'xpost/authentication'
  autoload :Statuses,         'xpost/statuses'

  autoload :Orders,           'xpost/orders'                  # Generic xpost order methods (find, track, etc.)
  autoload :Order,            'xpost/order'                   # ActiveModel-type of Order class (Order.create, etc.)
  # autoload :OrderSerializer,  'serializers/order_serializer'
  
  autoload :Address,          'xpost/address'
  autoload :Item,             'xpost/item'

  class << self
    attr_accessor :configuration
  end

  def self.configuration
    @configuration ||= Configuration.new
  end

  def self.configure
    yield configuration
  end
end