require 'json'
require 'set'
require 'typhoeus'

module Xpost
  class Statuses
    def self.all(auth_token)
      get_url("orders/statuses", headers: auth_header(auth_token))
    end

    private

    def self.base_url
      Xpost.configuration.production_url
    end

    def self.auth_header(auth_token)
      {"Authorization" => "Bearer #{auth_token}"}
    end

    def self.get_url(url, options = {})
      req_url = "#{base_url}/#{url}"
      req_options = {headers: options[:headers]}

      res = Typhoeus::Request.get(req_url, req_options).body
      res = JSON.parse(res, symbolize_names: true)
    end
  end
end